Package com.sas.lsaf.content.repository.signature

## Class Signature

- java.lang.Object
- - com.sas.lsaf.content.repository.signature.Signature

- All Implemented Interfaces:
    `java.io.Serializable`

      public class Signature
      extends java.lang.Object
      implements java.io.Serializable

  The client-side representation of a signature.
  Since:
    1.7
  See Also:
    `SignatureService`, `SignatureService.createSignature(String, CreateSignatureInfo)`, `SignatureService.getSignatures(String)`, `SignatureService.getSignaturesForLatestVersion(String)`, `SignatureService.getSignaturesByVersion(String, String)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Signature​(java.lang.String id, java.lang.String repositoryFileId, java.lang.String repositoryFilePath, java.lang.String repositoryFileVersion, java.lang.String userId, java.lang.String role, java.lang.String reason, java.lang.String comment, java.util.Date timestamp, java.lang.String signature)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getComment()` | Gets the comment that was specified with the signature, if one was specified.
    `java.lang.String` | `getId()` | Gets the unique identifier of the signature.
    `java.lang.String` | `getReason()` | Gets the reason that was specified to create the signature.
    `java.lang.String` | `getRepositoryFileId()` | Gets the unique identifier of the repository file that is associated with the signature.
    `java.lang.String` | `getRepositoryFilePath()` | Gets the path to the repository file that is associated with the signature.
    `java.lang.String` | `getRepositoryFileVersion()` | Gets the version of the repository file that is associated with the signature.
    `java.lang.String` | `getRole()` | Gets the role that was specified to create the signature.
    `java.lang.String` | `getSignature()` | Gets the hash that was generated when the signature was created.
    `java.util.Date` | `getTimestamp()` | Gets the date on which the signature was created.
    `java.lang.String` | `getUserId()` | Returns the identifier of the user who created the signature.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Signature

          public Signature​(java.lang.String id,
                           java.lang.String repositoryFileId,
                           java.lang.String repositoryFilePath,
                           java.lang.String repositoryFileVersion,
                           java.lang.String userId,
                           java.lang.String role,
                           java.lang.String reason,
                           java.lang.String comment,
                           java.util.Date timestamp,
                           java.lang.String signature)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the user descriptors returned by the API.

      Note: Signatures are identifier-based, which means that a Signature is linked to the identifier of the RepositoryFile object. The path is specified here as a convenience, but the information is transient. For instance, if the RepositoryFile is moved, the identifier is the same, but the path changes.

      Parameters:
        `id` - The unique identifier of the signature.
        `repositoryFileId` - The unique identifier of the repository file associated with the signature.
        `repositoryFilePath` - The path to the repository file that is associated with the signature.
        `repositoryFileVersion` - The version of the repository file that is associated with the signature.
        `userId` - The identifier of the user who created the signature.
        `role` - The role that was used to create the signature.
        `reason` - The reason that was used to create the signature.
        `comment` - The comment specified with the signature.
        `timestamp` - The `Date` on which the signature was created.
        `signature` - The signature value that was generated when the signature was created.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the unique identifier of the signature. The identifier is generated by the system when the signature is created.
      Returns:
        The identifier of the signature.

    - #### getRepositoryFileId

          public java.lang.String getRepositoryFileId()

      Gets the unique identifier of the repository file that is associated with the signature.
      Returns:
        The identifier of the repository file that is associated with the signature.
      See Also:
        `AbstractIdentifiable.getId()`

    - #### getRepositoryFilePath

          public java.lang.String getRepositoryFilePath()

      Gets the path to the repository file that is associated with the signature.

      Note: Signatures are based on an identifier, which means that a Signature is linked to the identifier of the RepositoryFile object. The path is specified here as a convenience, but the information is transient. For instance, if the RepositoryFile is moved, the identifier is the same, but the path changes.

      Returns:
        The path to the repository file that is associated with the signature.
      See Also:
        `AbstractIdentifiable.getId()`, `RepositoryItem.getPath()`

    - #### getRepositoryFileVersion

          public java.lang.String getRepositoryFileVersion()

      Gets the version of the repository file that is associated with the signature. This value is `null`, if the file is not versioned.
      Returns:
        The version of the repository file that is associated with the signature.

    - #### getUserId

          public java.lang.String getUserId()

      Returns the identifier of the user who created the signature.
      Returns:
        The idenfier of the user who created the signature.

    - #### getRole

          public java.lang.String getRole()

      Gets the role that was specified to create the signature.
      Returns:
        The role that was specified to create the signature.
      See Also:
        `CreateSignatureInfo.setRole(String)`, `SignatureService.getSignatureRoles()`

    - #### getReason

          public java.lang.String getReason()

      Gets the reason that was specified to create the signature.
      Returns:
        The reason specified to create the signature.
      See Also:
        `CreateSignatureInfo.setReason(String)`, `SignatureService.getSignatureReasons()`

    - #### getComment

          public java.lang.String getComment()

      Gets the comment that was specified with the signature, if one was specified.
      Returns:
        The comment that is associated with the signature.
      See Also:
        `CreateSignatureInfo.setComment(String)`

    - #### getTimestamp

          public java.util.Date getTimestamp()

      Gets the date on which the signature was created.
      Returns:
        The date and time on which the signature was created.

    - #### getSignature

          public java.lang.String getSignature()

      Gets the hash that was generated when the signature was created.
      Returns:
        The signature value that was generated when the file was signed.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`